2019-05-27 07:19 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002445NetSurfWin32-specificpublic2016-04-12 11:45
ReporterVincent Sanders 
Assigned ToVincent Sanders 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
Platformx86 64bitOSwindowsOS Version10
Product Version3.4 
Target VersionFixed in Version3.5 
Summary0002445: first page navigated to causes crash on windows 10
Descriptionnavigating to any web page causes netsurf to crash
TagsNo tags attached.
Fixed in CI build #3452
Reported in CI build #3444
URL of problem page
Attached Files
  • ? file icon rlog (57,885 bytes) 2016-03-17 15:19 -
    (0.000000) utils/log.c:101 nslog_init: NetSurf version '3.5 (Dev CI #3444)'
    (0.000000) utils/log.c:110 nslog_init: NetSurf on <windows>, node <nodename>, release <release>, version <version>, machine <pc>
    (0.000000) utils/messages.c:188 messages_add_from_file: Loading Messages from 'C:\Program Files (x86)\NetSurf\NetSurf\/messages'
    (0.000000) image/image_cache.c:378 image_cache_init: Image cache initilised with a limit of zd hysteresis of zd
    (0.000000) render/html_css_fetcher.c:64 html_css_fetcher_initialise: html_css_fetcher_initialise called for x-ns-css
    (0.000000) content/fetchers/curl.c:1285 fetch_curl_register: curl_version libcurl/7.45.0 OpenSSL/1.0.1s zlib/1.2.8 c-ares/1.10.0
    (0.015626) utils/useragent.c:68 user_agent_build_string: Built user agent "NetSurf/3.4 (windows)"
    (0.015626) content/fetchers/curl.c:1371 fetch_curl_register: cURL linked against openssl
    (0.015626) content/fetchers/curl.c:115 fetch_curl_initialise: Initialise cURL fetcher for http
    (0.015626) content/fetchers/curl.c:115 fetch_curl_initialise: Initialise cURL fetcher for https
    (0.015626) content/fetchers/data.c:65 fetch_data_initialise: fetch_data_initialise called for data
    (0.015626) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for default.css
    (0.015626) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for welcome.html
    (0.015626) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for netsurf.png
    (0.015626) content/llcache.c:3335 llcache_initialise: llcache initialising with a limit of 9437184 bytes
    (0.031251) windows/main.c:217 WinMain: calling browser_window_create
    (0.031251) javascript/duktape/dukky.c:564 js_newcontext: Creating new duktape javascript context
    (0.031251) windows/window.c:1354 win32_window_create: Creating gui window for browser window 032F4E30
    (0.031251) windows/window.c:136 nsws_window_create: GUI window 03338BC0
    (0.031251) windows/window.c:148 nsws_window_create: creating window for hInstance 00400000
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_GETMINMAXINFO , hwnd 001B045C, w 0x0, l 0x12cf91c
    (0.031251) windows/window.c:1265 nsws_window_event_callback: Unable to find gui window structure for hwnd 001B045C
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_NCCREATE , hwnd 001B045C, w 0x0, l 0x12cf910
    (0.031251) windows/window.c:1265 nsws_window_event_callback: Unable to find gui window structure for hwnd 001B045C
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_NCCALCSIZE , hwnd 001B045C, w 0x0, l 0x12cf8fc
    (0.031251) windows/window.c:1265 nsws_window_event_callback: Unable to find gui window structure for hwnd 001B045C
    (0.031251) windows/window.c:1245 nsws_window_event_callback: 147, hwnd 001B045C, w 0x0, l 0x12cf52c
    (0.031251) windows/window.c:1265 nsws_window_event_callback: Unable to find gui window structure for hwnd 001B045C
    (0.031251) windows/window.c:1245 nsws_window_event_callback: 148, hwnd 001B045C, w 0x0, l 0x12cf4dc
    (0.031251) windows/window.c:1265 nsws_window_event_callback: Unable to find gui window structure for hwnd 001B045C
    (0.031251) windows/window.c:1245 nsws_window_event_callback: 148, hwnd 001B045C, w 0x0, l 0x12cf4dc
    (0.031251) windows/window.c:1265 nsws_window_event_callback: Unable to find gui window structure for hwnd 001B045C
    (0.031251) windows/window.c:1245 nsws_window_event_callback: 148, hwnd 001B045C, w 0x0, l 0x12cf4dc
    (0.031251) windows/window.c:1265 nsws_window_event_callback: Unable to find gui window structure for hwnd 001B045C
    (0.031251) windows/window.c:1245 nsws_window_event_callback: 148, hwnd 001B045C, w 0x0, l 0x12cf4dc
    (0.031251) windows/window.c:1265 nsws_window_event_callback: Unable to find gui window structure for hwnd 001B045C
    (0.031251) windows/window.c:1245 nsws_window_event_callback: 148, hwnd 001B045C, w 0x0, l 0x12cf4dc
    (0.031251) windows/window.c:1265 nsws_window_event_callback: Unable to find gui window structure for hwnd 001B045C
    (0.031251) windows/window.c:1245 nsws_window_event_callback: 148, hwnd 001B045C, w 0x0, l 0x12cf4dc
    (0.031251) windows/window.c:1265 nsws_window_event_callback: Unable to find gui window structure for hwnd 001B045C
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_CREATE , hwnd 001B045C, w 0x0, l 0x12cf910
    (0.031251) windows/window.c:77 get_window_dpi: FIX DPI 96
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_NOTIFYFORMAT , hwnd 001B045C, w 0x704e0, l 0x3
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_QUERYUISTATE , hwnd 001B045C, w 0x0, l 0x0
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_PARENTNOTIFY , hwnd 001B045C, w 0x1, l 0x704e0
    (0.031251) windows/window.c:343 get_imagelist: resource id 102, bzize 24, bcnt 5
    (0.031251) windows/window.c:281 nsws_window_toolbar_callback: 1072, hwnd 000704E0, w 0x0, l 0x1495fe0
    (0.031251) windows/window.c:343 get_imagelist: resource id 103, bzize 24, bcnt 5
    (0.031251) windows/window.c:281 nsws_window_toolbar_callback: 1078, hwnd 000704E0, w 0x0, l 0x14965f0
    (0.031251) windows/window.c:343 get_imagelist: resource id 104, bzize 24, bcnt 5
    (0.031251) windows/window.c:281 nsws_window_toolbar_callback: 1076, hwnd 000704E0, w 0x0, l 0x1496c00
    (0.031251) windows/window.c:281 nsws_window_toolbar_callback: 1054, hwnd 000704E0, w 0x14, l 0x0
    (0.031251) windows/window.c:281 nsws_window_toolbar_callback: 1044, hwnd 000704E0, w 0x5, l 0x12cfbd8
    (0.031251) windows/window.c:281 nsws_window_toolbar_callback: WM_PARENTNOTIFY , hwnd 000704E0, w 0x5160001, l 0x2005ba
    (0.031251) windows/window.c:468 nsws_window_urlbar_create: Setting font object
    (0.031251) windows/window.c:379 nsws_window_urlbar_callback: WM_SETFONT , hwnd 002005BA, w 0x2b0a0fd7, l 0x0
    (0.031251) windows/window.c:472 nsws_window_urlbar_create: Created url bar hwnd:002005BA, x:162, y:0, w:585, h:23
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_PARENTNOTIFY , hwnd 001B045C, w 0x5170001, l 0x280542
    (0.031251) windows/findfile.c:132 nsws_find_resource: looking in C:\Program Files (x86)\NetSurf\NetSurf\res\throbber.avi
    (0.031251) windows/window.c:500 nsws_window_throbber_create: setting throbber avi as windows/res/throbber.avi
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_NOTIFYFORMAT , hwnd 001B045C, w 0x9059a, l 0x3
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_QUERYUISTATE , hwnd 001B045C, w 0x0, l 0x0
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_PARENTNOTIFY , hwnd 001B045C, w 0x5190001, l 0x9059a
    (0.031251) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_NCCREATE , hwnd 000405CE, w 0x0, l 0x12cf8c0
    (0.031251) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_NCCALCSIZE , hwnd 000405CE, w 0x0, l 0x12cf8ac
    (0.031251) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_CREATE , hwnd 000405CE, w 0x0, l 0x12cf8c0
    (0.031251) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_SIZE , hwnd 000405CE, w 0x0, l 0x0
    (0.031251) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_MOVE , hwnd 000405CE, w 0x0, l 0x0
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_PARENTNOTIFY , hwnd 001B045C, w 0x1, l 0x405ce
    (0.031251) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_SHOWWINDOW , hwnd 000405CE, w 0x1, l 0x0
    (0.031251) windows/window.c:1395 win32_window_create: new window: main:001B045C toolbar:000704E0 statusbar 0009059A drawingarea 000405CE
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_SHOWWINDOW , hwnd 001B045C, w 0x1, l 0x0
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_WINDOWPOSCHANGING , hwnd 001B045C, w 0x0, l 0x12cfd34
    (0.031251) windows/window.c:1245 nsws_window_event_callback: WM_WINDOWPOSCHANGING , hwnd 001B045C, w 0x0, l 0x12cfd34
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_ACTIVATEAPP , hwnd 001B045C, w 0x1, l 0x15b4
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_NCACTIVATE , hwnd 001B045C, w 0x1, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 147, hwnd 001B045C, w 0x0, l 0x12cf334
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_GETICON , hwnd 001B045C, w 0x2, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_GETICON , hwnd 001B045C, w 0x0, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_GETICON , hwnd 001B045C, w 0x1, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 147, hwnd 001B045C, w 0x0, l 0x12cf914
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 145, hwnd 001B045C, w 0x0, l 0x12cf914
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cf8ac
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cf8ac
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cf8ac
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cf8ac
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cf8ac
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cf8ac
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_ACTIVATE , hwnd 001B045C, w 0x1, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 641, hwnd 001B045C, w 0x1, l 0xc000000f
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 642, hwnd 001B045C, w 0x2, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_SETFOCUS , hwnd 001B045C, w 0x0, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_NCPAINT , hwnd 001B045C, w 0x1, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 147, hwnd 001B045C, w 0x0, l 0x12cf334
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 147, hwnd 001B045C, w 0x0, l 0x12cf914
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 145, hwnd 001B045C, w 0x0, l 0x12cf914
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cf8ac
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cf8ac
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cf8ac
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cf8ac
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cf8ac
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cf8ac
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0x9e010c8d, l 0x0
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_NCPAINT , hwnd 000704E0, w 0x1, l 0x0
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_ERASEBKGND , hwnd 000704E0, w 0xb8010ed9, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0xb8010ed9, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_CTLCOLORSTATIC , hwnd 001B045C, w 0x37010ec2, l 0x280542
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_WINDOWPOSCHANGED , hwnd 001B045C, w 0x0, l 0x12cfd34
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 147, hwnd 001B045C, w 0x0, l 0x12cf49c
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_SIZE , hwnd 001B045C, w 0x0, l 0x21d0310
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_SIZE , hwnd 000704E0, w 0x0, l 0x21d0310
    (0.046875) windows/window.c:379 nsws_window_urlbar_callback: WM_WINDOWPOSCHANGING , hwnd 002005BA, w 0x0, l 0x12cf85c
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0x37010ec2, l 0x0
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_NCPAINT , hwnd 000704E0, w 0x1, l 0x0
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_ERASEBKGND , hwnd 000704E0, w 0x37010ec2, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0x37010ec2, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_CTLCOLORSTATIC , hwnd 001B045C, w 0x8a010f4b, l 0x280542
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_WINDOWPOSCHANGING , hwnd 000704E0, w 0x0, l 0x12cf53c
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_NCCALCSIZE , hwnd 000704E0, w 0x1, l 0x12cf514
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_CHILDACTIVATE , hwnd 000704E0, w 0x0, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0x37010ec2, l 0x0
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_NCPAINT , hwnd 000704E0, w 0x1, l 0x0
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_ERASEBKGND , hwnd 000704E0, w 0x9e010c8d, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0x9e010c8d, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_CTLCOLORSTATIC , hwnd 001B045C, w 0x8a010f4b, l 0x280542
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_WINDOWPOSCHANGED , hwnd 000704E0, w 0x0, l 0x12cf53c
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_SIZE , hwnd 000704E0, w 0x0, l 0x220310
    (0.046875) windows/window.c:379 nsws_window_urlbar_callback: WM_WINDOWPOSCHANGING , hwnd 002005BA, w 0x0, l 0x12cecbc
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_ERASEBKGND , hwnd 000704E0, w 0x9e010c8d, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0x9e010c8d, l 0x0
    (0.046875) windows/window.c:379 nsws_window_urlbar_callback: WM_WINDOWPOSCHANGED , hwnd 002005BA, w 0x0, l 0x12cecbc
    (0.046875) windows/window.c:379 nsws_window_urlbar_callback: WM_MOVE , hwnd 002005BA, w 0x0, l 0x300a2
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_WINDOWPOSCHANGING , hwnd 000704E0, w 0x0, l 0x12ce99c
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_CHILDACTIVATE , hwnd 000704E0, w 0x0, l 0x0
    (0.046875) windows/window.c:734 win32_window_get_scroll: get scroll
    (0.046875) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_WINDOWPOSCHANGING , hwnd 000405CE, w 0x0, l 0x12cfaf4
    (0.046875) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_NCCALCSIZE , hwnd 000405CE, w 0x1, l 0x12cfacc
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0x9e010c8d, l 0x0
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_NCPAINT , hwnd 000704E0, w 0x1, l 0x0
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_ERASEBKGND , hwnd 000704E0, w 0x9e010c8d, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0x9e010c8d, l 0x0
    (0.046875) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_NCPAINT , hwnd 000405CE, w 0x1, l 0x0
    (0.046875) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_ERASEBKGND , hwnd 000405CE, w 0xb8010ed9, l 0x0
    (0.046875) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_WINDOWPOSCHANGED , hwnd 000405CE, w 0x0, l 0x12cfaf4
    (0.046875) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_MOVE , hwnd 000405CE, w 0x0, l 0x220000
    (0.046875) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_SIZE , hwnd 000405CE, w 0x0, l 0x1e50310
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2729, l 0x10
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2728, l 0x10
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2721, l 0x10
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_MOVE , hwnd 001B045C, w 0x0, l 0xe900be
    (0.046875) desktop/browser.c:1936 browser_window_navigate: bw 032F4E30, url about:welcome
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2729, l 0x10
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2728, l 0x10
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2721, l 0x10
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2722, l 0x4
    (0.046875) desktop/browser.c:2035 browser_window_navigate: Loading 'about:welcome'
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2729, l 0x10
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2728, l 0x10
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2721, l 0x4
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2722, l 0x10
    (0.046875) windows/window.c:379 nsws_window_urlbar_callback: WM_SETTEXT , hwnd 002005BA, w 0x0, l 0x32a4e00
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_COMMAND , hwnd 000704E0, w 0x4000516, l 0x2005ba
    (0.046875) windows/window.c:219 nsws_window_toolbar_command: notification_code 1024 identifier 1302 ctrl_window 002005BA
    (0.046875) windows/window.c:250 nsws_window_toolbar_command: EN_UPDATE
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_COMMAND , hwnd 000704E0, w 0x3000516, l 0x2005ba
    (0.046875) windows/window.c:219 nsws_window_toolbar_command: notification_code 768 identifier 1302 ctrl_window 002005BA
    (0.046875) windows/window.c:226 nsws_window_toolbar_command: EN_CHANGE
    (0.046875) windows/gui.c:59 win32_run: Starting messgae dispatcher
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_GETICON , hwnd 001B045C, w 0x1, l 0xf0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0x19a0, l 0xfffffffc
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_GETICON , hwnd 001B045C, w 0x2, l 0xf0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0x0, l 0xfffffff4
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_GETICON , hwnd 001B045C, w 0x0, l 0xf0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 799, hwnd 001B045C, w 0x1, l 0x0
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0x19a0, l 0xfffffffc
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_SIZE , hwnd 001B045C, w 0x0, l 0x21d0310
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_SIZE , hwnd 000704E0, w 0x0, l 0x21d0310
    (0.046875) windows/window.c:379 nsws_window_urlbar_callback: WM_WINDOWPOSCHANGING , hwnd 002005BA, w 0x0, l 0x12cf914
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_WINDOWPOSCHANGING , hwnd 000704E0, w 0x0, l 0x12cf5f4
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: WM_CHILDACTIVATE , hwnd 000704E0, w 0x0, l 0x0
    (0.046875) windows/window.c:734 win32_window_get_scroll: get scroll
    (0.046875) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_WINDOWPOSCHANGING , hwnd 000405CE, w 0x0, l 0x12cfbac
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2729, l 0x10
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2728, l 0x10
    (0.046875) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2721, l 0x10
    (0.046875) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0x0, l 0xfffffff4
    (0.046875) windows/window.c:1245 nsws_window_event_callback: 49592, hwnd 001B045C, w 0x0, l 0x0
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_GETMINMAXINFO , hwnd 001B045C, w 0x0, l 0x12cd2d4
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_PAINT , hwnd 001B045C, w 0x0, l 0x0
    (0.062500) windows/window.c:281 nsws_window_toolbar_callback: WM_PAINT , hwnd 000704E0, w 0x0, l 0x0
    (0.062500) windows/window.c:281 nsws_window_toolbar_callback: WM_ERASEBKGND , hwnd 000704E0, w 0x8a010f4b, l 0x0
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0x8a010f4b, l 0x0
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_NOTIFY , hwnd 001B045C, w 0x0, l 0x12cd0e0
    (0.062500) windows/window.c:379 nsws_window_urlbar_callback: WM_PAINT , hwnd 002005BA, w 0x0, l 0x0
    (0.062500) windows/window.c:379 nsws_window_urlbar_callback: WM_NCPAINT , hwnd 002005BA, w 0x1, l 0x0
    (0.062500) windows/window.c:379 nsws_window_urlbar_callback: WM_ERASEBKGND , hwnd 002005BA, w 0x8a010f4b, l 0x0
    (0.062500) windows/window.c:281 nsws_window_toolbar_callback: WM_CTLCOLOREDIT , hwnd 000704E0, w 0x8a010f4b, l 0x2005ba
    (0.062500) windows/window.c:281 nsws_window_toolbar_callback: WM_CTLCOLOREDIT , hwnd 000704E0, w 0x8a010f4b, l 0x2005ba
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0x0, l 0xffffffe7
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0x0, l 0xffffffe7
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0xffffffff, l 0xfffffffc
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0x0, l 0xfffffff4
    (0.062500) windows/window.c:1245 nsws_window_event_callback: 356, hwnd 001B045C, w 0x0, l 0x12cf7ac
    (0.062500) windows/window.c:1245 nsws_window_event_callback: 49469, hwnd 001B045C, w 0xfffffffc, l 0x0
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0x0, l 0xffffffe7
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0xffffffff, l 0xfffffffc
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0x0, l 0xfffffff4
    (0.062500) windows/window.c:1245 nsws_window_event_callback: 356, hwnd 001B045C, w 0x0, l 0x12cf7ac
    (0.062500) windows/window.c:1245 nsws_window_event_callback: 49469, hwnd 001B045C, w 0x0, l 0x0
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0x0, l 0xffffffe7
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0xffffffff, l 0xfffffffc
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0x0, l 0xfffffff4
    (0.062500) windows/window.c:1245 nsws_window_event_callback: 356, hwnd 001B045C, w 0x0, l 0x12cf7ac
    (0.062500) windows/window.c:1245 nsws_window_event_callback: 49469, hwnd 001B045C, w 0x0, l 0x0
    (0.062500) windows/window.c:1245 nsws_window_event_callback: WM_KEYUP , hwnd 001B045C, w 0xd, l 0xc01c0001
    (0.062500) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_PAINT , hwnd 000405CE, w 0x0, l 0x0
    (0.093766) windows/filetype.c:35 fetch_filetype: unix path C:\Program Files (x86)\NetSurf\NetSurf\\welcome.html
    (0.109376) content/content.c:82 content__init: url file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//welcome.html -> 03386E00
    (0.109376) render/html_css.c:529 html_css_new_stylesheets: 2 fetches active
    (0.109376) render/html_css.c:556 html_css_new_stylesheets: 3 fetches active
    (0.109376) content/content.c:664 content_add_user: content file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//welcome.html (03386E00), user 004ACC70 032BC5D8
    (0.125001) content/content.c:282 content_convert: content file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//welcome.html (03386E00)
    (0.125001) render/html.c:1134 html_convert: quirks set to 0
    (0.125001) render/html.c:1138 html_convert: 2 fetches active
    (0.140626) windows/filetype.c:35 fetch_filetype: unix path C:\Program Files (x86)\NetSurf\NetSurf\\default.css
    (0.140626) render/html_css.c:182 html_stylesheet_from_domnode: 3 fetches active
    (0.140626) render/html_css.c:259 html_css_process_modified_style: Updating sheet 00000000 with 032BC848
    (0.156251) content/content.c:82 content__init: url x-ns-css:0 -> 07D30A20
    (0.156251) content/content.c:664 content_add_user: content x-ns-css:0 (07D30A20), user 004ACC70 032BC848
    (0.156251) content/content.c:282 content_convert: content x-ns-css:0 (07D30A20)
    (0.156251) render/html_css.c:104 html_convert_css_callback: done stylesheet slot 4 'x-ns-css:0'
    (0.156251) render/html_css.c:106 html_convert_css_callback: 2 fetches active
    (0.156251) content/content.c:82 content__init: url file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//default.css -> 0338EC08
    (0.156251) content/content.c:664 content_add_user: content file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//default.css (0338EC08), user 004ACC70 032BC680
    (0.156251) content/content.c:282 content_convert: content file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//default.css (0338EC08)
    (0.156251) render/html_css.c:104 html_convert_css_callback: done stylesheet slot 0 'file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//default.css'
    (0.156251) render/html_css.c:106 html_convert_css_callback: 1 fetches active
    (0.156251) render/html_css.c:110 html_convert_css_callback: stylesheet resource:user.css failed: UnacceptableType
    (0.156251) render/html_css.c:114 html_convert_css_callback: 0 fetches active
    (0.156251) render/html.c:1191 html_begin_conversion: Completing parse
    (0.156251) render/html.c:599 html_finish_conversion: DOM to box (03386E00)
    (0.171876) render/html_object.c:698 html_fetch_object: 1 fetches active
    (0.180542) render/html.c:110 html_box_convert_done: Done XML to box (03386E00)
    (0.180542) windows/window.c:1460 win32_window_get_dimensions: get dimensions 03338BC0 w=784 h=485
    (0.182044) windows/window.c:1494 win32_window_set_title: 03338BC0, title Welcome to NetSurf
    (0.182044) windows/window.c:1245 nsws_window_event_callback: WM_SETTEXT , hwnd 001B045C, w 0x0, l 0x7d44858
    (0.182044) windows/window.c:1245 nsws_window_event_callback: 174, hwnd 001B045C, w 0x9, l 0x0
    (0.183044) windows/window.c:379 nsws_window_urlbar_callback: WM_SETTEXT , hwnd 002005BA, w 0x0, l 0x331ddb0
    (0.183044) windows/window.c:281 nsws_window_toolbar_callback: WM_COMMAND , hwnd 000704E0, w 0x4000516, l 0x2005ba
    (0.183044) windows/window.c:219 nsws_window_toolbar_command: notification_code 1024 identifier 1302 ctrl_window 002005BA
    (0.183044) windows/window.c:250 nsws_window_toolbar_command: EN_UPDATE
    (0.183044) windows/window.c:281 nsws_window_toolbar_callback: WM_COMMAND , hwnd 000704E0, w 0x3000516, l 0x2005ba
    (0.183044) windows/window.c:219 nsws_window_toolbar_command: notification_code 768 identifier 1302 ctrl_window 002005BA
    (0.183044) windows/window.c:226 nsws_window_toolbar_command: EN_CHANGE
    (0.183044) windows/window.c:1494 win32_window_set_title: 03338BC0, title Welcome to NetSurf
    (0.183044) windows/window.c:1245 nsws_window_event_callback: WM_SETTEXT , hwnd 001B045C, w 0x0, l 0x7d44768
    (0.183044) windows/window.c:1245 nsws_window_event_callback: 174, hwnd 001B045C, w 0x9, l 0x0
    (0.183044) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_WINDOWPOSCHANGING , hwnd 000405CE, w 0x0, l 0x12cf85c
    (0.183544) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_NCCALCSIZE , hwnd 000405CE, w 0x1, l 0x12cf834
    (0.183544) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0x8a010f4b, l 0x0
    (0.183544) windows/window.c:281 nsws_window_toolbar_callback: WM_NCPAINT , hwnd 000704E0, w 0x36040fcd, l 0x0
    (0.184046) windows/window.c:281 nsws_window_toolbar_callback: WM_ERASEBKGND , hwnd 000704E0, w 0x8a010f4b, l 0x0
    (0.184046) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0x8a010f4b, l 0x0
    (0.184046) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_NCPAINT , hwnd 000405CE, w 0x1, l 0x0
    (0.184046) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_ERASEBKGND , hwnd 000405CE, w 0x37010ec2, l 0x0
    (0.184046) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_WINDOWPOSCHANGED , hwnd 000405CE, w 0x0, l 0x12cf85c
    (0.184046) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_SIZE , hwnd 000405CE, w 0x0, l 0x1e502ff
    (0.187049) content/content.c:811 content_open: content 03386E00 file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//welcome.html
    (0.187049) desktop/browser_history.c:519 browser_window_history_add: Creating thumbnail for file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//welcome.html
    (0.187049) windows/bitmap.c:54 win32_bitmap_create: width 100, height 86, state 5
    (0.188048) windows/bitmap.c:98 win32_bitmap_create: bitmap 07D49648
    (0.188048) windows/bitmap.c:371 bitmap_render: bitmap 07D49648 for content 032BC5D8 width 784, height 674
    (0.188048) windows/bitmap.c:54 win32_bitmap_create: width 784, height 674, state 5
    (0.188549) windows/bitmap.c:98 win32_bitmap_create: bitmap 07D49668
    (0.188549) content/content.c:599 content_scaled_redraw: Content 03386E00 784x674 ctx:012CF9A8
    (0.192556) content/urldb.c:3072 urldb_set_thumbnail: Setting bitmap on file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//welcome.html
    (0.193053) windows/window.c:1494 win32_window_set_title: 03338BC0, title Welcome to NetSurf
    (0.193053) windows/window.c:1245 nsws_window_event_callback: WM_SETTEXT , hwnd 001B045C, w 0x0, l 0x7d44790
    (0.193053) windows/window.c:1245 nsws_window_event_callback: 174, hwnd 001B045C, w 0x9, l 0x0
    (0.193552) windows/filetype.c:35 fetch_filetype: unix path C:\Program Files (x86)\NetSurf\NetSurf\\netsurf.png
    (0.193552) windows/window.c:1245 nsws_window_event_callback: WM_PAINT , hwnd 001B045C, w 0x0, l 0x0
    (0.193552) windows/window.c:281 nsws_window_toolbar_callback: WM_PAINT , hwnd 000704E0, w 0x0, l 0x0
    (0.193552) windows/window.c:1245 nsws_window_event_callback: WM_NOTIFY , hwnd 001B045C, w 0x0, l 0x12cf900
    (0.193552) windows/window.c:379 nsws_window_urlbar_callback: WM_PAINT , hwnd 002005BA, w 0x0, l 0x0
    (0.193552) windows/window.c:281 nsws_window_toolbar_callback: WM_CTLCOLOREDIT , hwnd 000704E0, w 0x9e010c8d, l 0x2005ba
    (0.194053) windows/window.c:281 nsws_window_toolbar_callback: WM_CTLCOLOREDIT , hwnd 000704E0, w 0x9e010c8d, l 0x2005ba
    (0.194053) content/content.c:82 content__init: url file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//netsurf.png -> 03387118
    (0.194053) content/content.c:664 content_add_user: content file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//netsurf.png (03387118), user 004ACC70 032BC740
    (0.194053) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_PAINT , hwnd 000405CE, w 0x0, l 0x0
    (0.196554) content/content.c:282 content_convert: content file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//netsurf.png (03387118)
    (0.196554) image/image_cache.c:474 image_cache_add: centry 07D37940, content 03387118, bitmap 00000000
    (0.234021) windows/filetype.c:35 fetch_filetype: unix path C:\Program Files (x86)\NetSurf\NetSurf\\netsurf.png
    (0.234506) content/content.c:82 content__init: url file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//netsurf.png -> 033873A0
    (0.234506) content/content.c:664 content_add_user: content file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//netsurf.png (033873A0), user 004ACC70 032B9548
    (0.234506) content/content.c:811 content_open: content 033873A0 file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//netsurf.png
    (0.235021) content/content.c:282 content_convert: content file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//netsurf.png (033873A0)
    (0.235021) image/image_cache.c:474 image_cache_add: centry 07D379A0, content 033873A0, bitmap 00000000
    (0.235021) render/html_object.c:161 html_object_callback: 0 fetches active
    (0.235021) windows/window.c:1494 win32_window_set_title: 03338BC0, title Welcome to NetSurf
    (0.235021) windows/window.c:1245 nsws_window_event_callback: WM_SETTEXT , hwnd 001B045C, w 0x0, l 0x7d44948
    (0.235522) windows/window.c:1245 nsws_window_event_callback: 174, hwnd 001B045C, w 0x9, l 0x0
    (0.235522) windows/window.c:1494 win32_window_set_title: 03338BC0, title Welcome to NetSurf
    (0.235522) windows/window.c:1245 nsws_window_event_callback: WM_SETTEXT , hwnd 001B045C, w 0x0, l 0x7d446c8
    (0.236019) windows/window.c:1245 nsws_window_event_callback: 174, hwnd 001B045C, w 0x9, l 0x0
    (0.236507) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2729, l 0x10
    (0.236507) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2728, l 0x10
    (0.236507) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2721, l 0x10
    (0.237038) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2722, l 0x4
    (0.237038) desktop/browser.c:1176 browser_window_update_favicon: fetching general favicon from 'resource:favicon.ico'
    (0.237038) windows/bitmap.c:371 bitmap_render: bitmap 07D49648 for content 032BC5D8 width 784, height 674
    (0.237038) windows/bitmap.c:54 win32_bitmap_create: width 784, height 674, state 5
    (0.237542) windows/bitmap.c:98 win32_bitmap_create: bitmap 07D49768
    (0.237542) content/content.c:599 content_scaled_redraw: Content 03386E00 784x674 ctx:012CF8D8
    (0.237542) windows/bitmap.c:54 win32_bitmap_create: width 308, height 86, state 0
    (0.238041) windows/bitmap.c:98 win32_bitmap_create: bitmap 07D49508
    (0.244545) windows/window.c:281 nsws_window_toolbar_callback: WM_PAINT , hwnd 000704E0, w 0x0, l 0x0
    (0.245048) windows/window.c:281 nsws_window_toolbar_callback: WM_ERASEBKGND , hwnd 000704E0, w 0x37010ec2, l 0x0
    (0.245048) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0x37010ec2, l 0x0
    (0.245048) windows/window.c:1245 nsws_window_event_callback: WM_NOTIFY , hwnd 001B045C, w 0x0, l 0x12cf900
    (0.245048) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_PAINT , hwnd 000405CE, w 0x0, l 0x0
    (0.279820) windows/window.c:1245 nsws_window_event_callback: WM_GETICON , hwnd 001B045C, w 0x1, l 0xf0
    (0.281332) windows/window.c:1245 nsws_window_event_callback: WM_GETICON , hwnd 001B045C, w 0x2, l 0xf0
    (0.281332) windows/window.c:1245 nsws_window_event_callback: WM_GETICON , hwnd 001B045C, w 0x0, l 0xf0
    (4.448788) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cfd04
    (4.448788) windows/window.c:1245 nsws_window_event_callback: WM_NCMOUSEMOVE , hwnd 001B045C, w 0x5, l 0xe20167
    (4.464413) windows/window.c:1245 nsws_window_event_callback: WM_NCMOUSEMOVE , hwnd 001B045C, w 0x5, l 0xd80169
    (4.480040) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cfd04
    (4.480040) windows/window.c:1245 nsws_window_event_callback: WM_NCMOUSEMOVE , hwnd 001B045C, w 0x2, l 0xd3016c
    (4.480040) windows/window.c:1245 nsws_window_event_callback: WM_NCMOUSEMOVE , hwnd 001B045C, w 0x2, l 0xd1016c
    (4.495664) windows/window.c:1245 nsws_window_event_callback: WM_NCMOUSEMOVE , hwnd 001B045C, w 0x2, l 0xd0016e
    (4.761291) windows/window.c:1245 nsws_window_event_callback: WM_NCMOUSEMOVE , hwnd 001B045C, w 0x2, l 0xd0016d
    (4.761291) windows/window.c:1245 nsws_window_event_callback: WM_NCMOUSEMOVE , hwnd 001B045C, w 0x2, l 0xd0016c
    (4.776916) windows/window.c:1245 nsws_window_event_callback: WM_NCMOUSEMOVE , hwnd 001B045C, w 0x2, l 0xd10169
    (4.792542) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cfd04
    (4.792542) windows/window.c:1245 nsws_window_event_callback: WM_NCMOUSEMOVE , hwnd 001B045C, w 0x5, l 0xd60164
    (4.792542) windows/window.c:1245 nsws_window_event_callback: WM_NCMOUSEMOVE , hwnd 001B045C, w 0x5, l 0xdf015b
    (4.808167) windows/window.c:1245 nsws_window_event_callback: 146, hwnd 001B045C, w 0x0, l 0x12cfd04
    (4.808167) windows/window.c:1245 nsws_window_event_callback: WM_NOTIFY , hwnd 001B045C, w 0x0, l 0x12cf948
    (4.808167) windows/window.c:1245 nsws_window_event_callback: WM_NCMOUSELEAVE , hwnd 001B045C, w 0x0, l 0x0
    (4.823743) windows/window.c:281 nsws_window_toolbar_callback: WM_MOUSELEAVE	, hwnd 000704E0, w 0x0, l 0x0
    (6.151882) windows/window.c:1245 nsws_window_event_callback: WM_PARENTNOTIFY , hwnd 001B045C, w 0x201, l 0x82006c
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_MOUSEACTIVATE , hwnd 000405CE, w 0x1b045c, l 0x2010001
    (6.151882) windows/window.c:1245 nsws_window_event_callback: WM_MOUSEACTIVATE , hwnd 001B045C, w 0x1b045c, l 0x2010001
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_LBUTTONDOWN , hwnd 000405CE, w 0x1, l 0x60006c
    (6.151882) windows/drawable.c:418 nsws_drawable_mousedown: mouse click bw 032F4E30, state 1, x 108.000000, y 96.000000
    (6.151882) windows/window.c:1245 nsws_window_event_callback: WM_KILLFOCUS , hwnd 001B045C, w 0x405ce, l 0x0
    (6.151882) windows/window.c:1245 nsws_window_event_callback: 641, hwnd 001B045C, w 0x0, l 0xc000000f
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: 641, hwnd 000405CE, w 0x1, l 0xc000000f
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_SETFOCUS , hwnd 000405CE, w 0x1b045c, l 0x0
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_GETOBJECT , hwnd 000405CE, w 0x19a0, l 0xfffffffc
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_GETOBJECT , hwnd 000405CE, w 0x0, l 0xffffffe7
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_GETOBJECT , hwnd 000405CE, w 0x0, l 0xffffffe7
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_GETOBJECT , hwnd 000405CE, w 0xffffffff, l 0xfffffffc
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_GETOBJECT , hwnd 000405CE, w 0x0, l 0xfffffff4
    (6.151882) windows/window.c:1245 nsws_window_event_callback: WM_GETOBJECT , hwnd 001B045C, w 0x0, l 0xffffffe7
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: 49469, hwnd 000405CE, w 0xfffffffc, l 0x0
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_GETOBJECT , hwnd 000405CE, w 0x0, l 0xfffffff4
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_GETOBJECT , hwnd 000405CE, w 0x19a0, l 0xfffffffc
    (6.151882) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_GETOBJECT , hwnd 000405CE, w 0x0, l 0xfffffff4
    (6.198782) windows/drawable.c:494 nsws_window_drawable_event_callback: WM_LBUTTONUP , hwnd 000405CE, w 0x0, l 0x60006c
    (6.198782) windows/drawable.c:360 nsws_drawable_mouseup: state 0x1, press 0x1
    (6.198782) windows/drawable.c:374 nsws_drawable_mouseup: mouse click bw 032F4E30, state 0x4, x 108.000000, y 96.000000
    (6.198782) render/html.c:89 fire_dom_event: Dispatching 'click' against 03388DB0
    (6.198782) desktop/browser.c:1936 browser_window_navigate: bw 032F4E30, url http://www.netsurf-browser.org/
    (6.198782) windows/window.c:379 nsws_window_urlbar_callback: WM_SETTEXT , hwnd 002005BA, w 0x0, l 0x331ddb0
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: WM_COMMAND , hwnd 000704E0, w 0x4000516, l 0x2005ba
    (6.198782) windows/window.c:219 nsws_window_toolbar_command: notification_code 1024 identifier 1302 ctrl_window 002005BA
    (6.198782) windows/window.c:250 nsws_window_toolbar_command: EN_UPDATE
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: WM_COMMAND , hwnd 000704E0, w 0x3000516, l 0x2005ba
    (6.198782) windows/window.c:219 nsws_window_toolbar_command: notification_code 768 identifier 1302 ctrl_window 002005BA
    (6.198782) windows/window.c:226 nsws_window_toolbar_command: EN_CHANGE
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2729, l 0x10
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2728, l 0x10
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2721, l 0x10
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2722, l 0x4
    (6.198782) desktop/browser.c:2035 browser_window_navigate: Loading 'http://www.netsurf-browser.org/'
    (6.198782) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.198782) content/fetchers/curl.c:280 fetch_curl_setup: fetch 03387748, url 'http://www.netsurf-browser.org/'
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2729, l 0x10
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2728, l 0x10
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2721, l 0x4
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: 1041, hwnd 000704E0, w 0x2722, l 0x10
    (6.198782) windows/window.c:379 nsws_window_urlbar_callback: WM_SETTEXT , hwnd 002005BA, w 0x0, l 0x7d30150
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: WM_COMMAND , hwnd 000704E0, w 0x4000516, l 0x2005ba
    (6.198782) windows/window.c:219 nsws_window_toolbar_command: notification_code 1024 identifier 1302 ctrl_window 002005BA
    (6.198782) windows/window.c:250 nsws_window_toolbar_command: EN_UPDATE
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: WM_COMMAND , hwnd 000704E0, w 0x3000516, l 0x2005ba
    (6.198782) windows/window.c:219 nsws_window_toolbar_command: notification_code 768 identifier 1302 ctrl_window 002005BA
    (6.198782) windows/window.c:226 nsws_window_toolbar_command: EN_CHANGE
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: WM_PAINT , hwnd 000704E0, w 0x0, l 0x0
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: WM_ERASEBKGND , hwnd 000704E0, w 0xb8010ed9, l 0x0
    (6.198782) windows/window.c:1245 nsws_window_event_callback: WM_ERASEBKGND , hwnd 001B045C, w 0xb8010ed9, l 0x0
    (6.198782) windows/window.c:1245 nsws_window_event_callback: WM_NOTIFY , hwnd 001B045C, w 0x0, l 0x12cf900
    (6.198782) windows/window.c:379 nsws_window_urlbar_callback: WM_PAINT , hwnd 002005BA, w 0x0, l 0x0
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: WM_CTLCOLOREDIT , hwnd 000704E0, w 0xb8010ed9, l 0x2005ba
    (6.198782) windows/window.c:281 nsws_window_toolbar_callback: WM_CTLCOLOREDIT , hwnd 000704E0, w 0xb8010ed9, l 0x2005ba
    (6.323764) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (6.339388) content/fetchers/curl.c:834 fetch_curl_done: done http://www.netsurf-browser.org/
    (6.339388) content/fetchers/curl.c:699 fetch_curl_stop: fetch 03387748, url 'http://www.netsurf-browser.org/'
    (6.339388) content/content.c:82 content__init: url http://www.netsurf-browser.org/ -> 03387748
    (6.339388) render/html_css.c:529 html_css_new_stylesheets: 2 fetches active
    (6.339388) render/html_css.c:556 html_css_new_stylesheets: 3 fetches active
    (6.339388) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/ (03387748), user 004ACC70 032B9C80
    (6.355016) render/html_css.c:386 html_css_process_link: linked stylesheet 4 'http://www.netsurf-browser.org/netsurf.css'
    (6.355016) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.355016) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07D23D20, url 'http://www.netsurf-browser.org/netsurf.css'
    (6.355016) render/html_css.c:420 html_css_process_link: 4 fetches active
    (6.355016) desktop/browser.c:1178 browser_window_update_favicon: fetching favicon rel:icon 'http://www.netsurf-browser.org/webimages/favicon.png'
    (6.355016) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.355016) content/fetchers/curl.c:280 fetch_curl_setup: fetch 03387D58, url 'http://www.netsurf-browser.org/webimages/favicon.png'
    (6.355016) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.355016) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07D59C28, url 'http://www.netsurf-browser.org/netsurf.png'
    (6.355016) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.355016) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07DB3E08, url 'http://www.netsurf-browser.org/about/screenshots/images/riscosthumb-wikipedia.png'
    (6.355016) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.355016) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07DD3818, url 'http://www.netsurf-browser.org/webimages/roalogo.png'
    (6.355016) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.355016) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07DE5928, url 'http://www.netsurf-browser.org/webimages/tiba2009.png'
    (6.355016) content/content.c:282 content_convert: content http://www.netsurf-browser.org/ (03387748)
    (6.355016) render/html.c:1134 html_convert: quirks set to 0
    (6.355016) render/html.c:1138 html_convert: 3 fetches active
    (6.370640) windows/filetype.c:35 fetch_filetype: unix path C:\Program Files (x86)\NetSurf\NetSurf\\default.css
    (6.370640) content/content.c:82 content__init: url file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//default.css -> 07DF4078
    (6.370640) content/content.c:664 content_add_user: content file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//default.css (07DF4078), user 004ACC70 032BA0B8
    (6.370640) content/content.c:282 content_convert: content file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//default.css (07DF4078)
    (6.370640) render/html_css.c:104 html_convert_css_callback: done stylesheet slot 0 'file:///C:/Program%20Files%20(x86)/NetSurf/NetSurf//default.css'
    (6.370640) render/html_css.c:106 html_convert_css_callback: 2 fetches active
    (6.370640) render/html_css.c:110 html_convert_css_callback: stylesheet resource:user.css failed: UnacceptableType
    (6.370640) render/html_css.c:114 html_convert_css_callback: 1 fetches active
    (6.417514) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (6.433142) content/content.c:82 content__init: url http://www.netsurf-browser.org/netsurf.css -> 07DF7A30
    (6.433142) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/netsurf.css (07DF7A30), user 004ACC70 032BA118
    (6.480017) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (6.480017) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (6.480017) content/fetchers/curl.c:834 fetch_curl_done: done http://www.netsurf-browser.org/netsurf.css
    (6.480017) content/fetchers/curl.c:699 fetch_curl_stop: fetch 07D23D20, url 'http://www.netsurf-browser.org/netsurf.css'
    (6.480017) content/content.c:82 content__init: url http://www.netsurf-browser.org/about/screenshots/images/riscosthumb-wikipedia.png -> 07D58F98
    (6.480017) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/about/screenshots/images/riscosthumb-wikipedia.png (07D58F98), user 004ACC70 032BA280
    (6.480017) content/content.c:82 content__init: url http://www.netsurf-browser.org/netsurf.png -> 07E42AE8
    (6.480017) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/netsurf.png (07E42AE8), user 004ACC70 032BA1C0
    (6.480017) content/content.c:282 content_convert: content http://www.netsurf-browser.org/netsurf.css (07DF7A30)
    (6.480017) render/html_css.c:104 html_convert_css_callback: done stylesheet slot 4 'http://www.netsurf-browser.org/netsurf.css'
    (6.480017) render/html_css.c:106 html_convert_css_callback: 0 fetches active
    (6.480017) render/html.c:1191 html_begin_conversion: Completing parse
    (6.480017) render/html.c:599 html_finish_conversion: DOM to box (03387748)
    (6.495643) render/html_object.c:698 html_fetch_object: 1 fetches active
    (6.495643) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.495643) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07DF2218, url 'http://www.netsurf-browser.org/webimages/nav.png'
    (6.495643) render/html_object.c:698 html_fetch_object: 2 fetches active
    (6.495643) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/netsurf.png (07E42AE8), user 004ACC70 07E1C688
    (6.511263) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (6.511263) content/fetchers/curl.c:834 fetch_curl_done: done http://www.netsurf-browser.org/webimages/roalogo.png
    (6.511263) content/fetchers/curl.c:699 fetch_curl_stop: fetch 07DD3818, url 'http://www.netsurf-browser.org/webimages/roalogo.png'
    (6.526893) content/content.c:82 content__init: url http://www.netsurf-browser.org/webimages/roalogo.png -> 07D82C50
    (6.526893) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/webimages/roalogo.png (07D82C50), user 004ACC70 032BAA78
    (6.542518) content/content.c:282 content_convert: content http://www.netsurf-browser.org/webimages/roalogo.png (07D82C50)
    (6.542518) image/image_cache.c:474 image_cache_add: centry 07D38150, content 07D82C50, bitmap 00000000
    (6.542518) content/fetchers/curl.c:834 fetch_curl_done: done http://www.netsurf-browser.org/netsurf.png
    (6.542518) content/fetchers/curl.c:699 fetch_curl_stop: fetch 07D59C28, url 'http://www.netsurf-browser.org/netsurf.png'
    (6.558143) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (6.558143) content/content.c:82 content__init: url http://www.netsurf-browser.org/webimages/tiba2009.png -> 07E137A8
    (6.558143) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/webimages/tiba2009.png (07E137A8), user 004ACC70 032BAAA8
    (6.558143) content/content.c:282 content_convert: content http://www.netsurf-browser.org/netsurf.png (07E42AE8)
    (6.558143) image/image_cache.c:474 image_cache_add: centry 07D38390, content 07E42AE8, bitmap 00000000
    (6.558143) render/html_object.c:161 html_object_callback: 1 fetches active
    (6.573769) content/fetchers/curl.c:834 fetch_curl_done: done http://www.netsurf-browser.org/webimages/tiba2009.png
    (6.573769) content/fetchers/curl.c:699 fetch_curl_stop: fetch 07DE5928, url 'http://www.netsurf-browser.org/webimages/tiba2009.png'
    (6.589393) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (6.589393) content/fetchers/curl.c:834 fetch_curl_done: done http://www.netsurf-browser.org/webimages/nav.png
    (6.589393) content/fetchers/curl.c:699 fetch_curl_stop: fetch 07DF2218, url 'http://www.netsurf-browser.org/webimages/nav.png'
    (6.589393) content/content.c:82 content__init: url http://www.netsurf-browser.org/webimages/nav.png -> 07E42D70
    (6.589393) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/webimages/nav.png (07E42D70), user 004ACC70 07E1C8F8
    (6.589393) content/content.c:282 content_convert: content http://www.netsurf-browser.org/webimages/tiba2009.png (07E137A8)
    (6.589393) image/image_cache.c:474 image_cache_add: centry 07D38FC0, content 07E137A8, bitmap 00000000
    (6.605019) windows/bitmap.c:54 win32_bitmap_create: width 308, height 1, state 0
    (6.605019) windows/bitmap.c:98 win32_bitmap_create: bitmap 07E11200
    (6.605019) image/png.c:175 info_callback: size 308 * 1, rowbytes zu
    (6.605019) content/content.c:282 content_convert: content http://www.netsurf-browser.org/webimages/nav.png (07E42D70)
    (6.605019) windows/bitmap.c:230 bitmap_test_opaque: bitmap 07E11200 is opaque
    (6.605019) windows/bitmap.c:201 bitmap_set_opaque: setting bitmap 07E11200 to opaque
    (6.605019) image/image_cache.c:474 image_cache_add: centry 07D38F30, content 07E42D70, bitmap 07E11200
    (6.605019) render/html_object.c:161 html_object_callback: 0 fetches active
    (6.667519) render/html_object.c:698 html_fetch_object: 1 fetches active
    (6.667519) content/fetchers/curl.c:834 fetch_curl_done: done http://www.netsurf-browser.org/about/screenshots/images/riscosthumb-wikipedia.png
    (6.667519) content/fetchers/curl.c:699 fetch_curl_stop: fetch 07DB3E08, url 'http://www.netsurf-browser.org/about/screenshots/images/riscosthumb-wikipedia.png'
    (6.667519) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/about/screenshots/images/riscosthumb-wikipedia.png (07D58F98), user 004ACC70 07E1D570
    (6.667519) content/content.c:282 content_convert: content http://www.netsurf-browser.org/about/screenshots/images/riscosthumb-wikipedia.png (07D58F98)
    (6.667519) image/image_cache.c:474 image_cache_add: centry 07D38E10, content 07D58F98, bitmap 00000000
    (6.667519) render/html_object.c:161 html_object_callback: 0 fetches active
    (6.714395) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.714395) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07DFAEB0, url 'http://www.netsurf-browser.org/webimages/downloadbg.png'
    (6.714395) render/html_object.c:698 html_fetch_object: 1 fetches active
    (6.714395) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.714395) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07D5AC90, url 'http://www.netsurf-browser.org/webimages/downloadlogo.png'
    (6.714395) render/html_object.c:698 html_fetch_object: 2 fetches active
    (6.730020) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.730020) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07DC5D78, url 'http://www.netsurf-browser.org/webimages/downloadtl.png'
    (6.730020) render/html_object.c:698 html_fetch_object: 3 fetches active
    (6.730020) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.730020) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07DF6308, url 'http://www.netsurf-browser.org/webimages/downloadtr.png'
    (6.730020) render/html_object.c:698 html_fetch_object: 4 fetches active
    (6.730020) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.730020) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07DF35F0, url 'http://www.netsurf-browser.org/webimages/downloadbl.png'
    (6.730020) render/html_object.c:698 html_fetch_object: 5 fetches active
    (6.730020) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.730020) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07D5A270, url 'http://www.netsurf-browser.org/webimages/downloadbr.png'
    (6.730020) render/html_object.c:698 html_fetch_object: 6 fetches active
    (6.730020) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (6.730020) content/fetchers/curl.c:280 fetch_curl_setup: fetch 07D5A308, url 'http://www.netsurf-browser.org/webimages/downloadarrow.png'
    (6.730020) render/html_object.c:698 html_fetch_object: 7 fetches active
    (6.792504) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (6.792504) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (6.792504) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (6.792504) content/fetchers/curl.c:834 fetch_curl_done: done http://www.netsurf-browser.org/webimages/downloadbg.png
    (6.792504) content/fetchers/curl.c:699 fetch_curl_stop: fetch 07DFAEB0, url 'http://www.netsurf-browser.org/webimages/downloadbg.png'
    (6.792504) content/fetchers/curl.c:834 fetch_curl_done: done http://www.netsurf-browser.org/webimages/downloadtl.png
    (6.792504) content/fetchers/curl.c:699 fetch_curl_stop: fetch 07DC5D78, url 'http://www.netsurf-browser.org/webimages/downloadtl.png'
    (6.792504) content/fetchers/curl.c:834 fetch_curl_done: done http://www.netsurf-browser.org/webimages/downloadtr.png
    (6.792504) content/fetchers/curl.c:699 fetch_curl_stop: fetch 07DF6308, url 'http://www.netsurf-browser.org/webimages/downloadtr.png'
    (6.808130) render/html_object.c:698 html_fetch_object: 8 fetches active
    (6.808130) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (6.808130) content/fetchers/curl.c:834 fetch_curl_done: done http://www.netsurf-browser.org/webimages/downloadlogo.png
    (6.808130) content/fetchers/curl.c:699 fetch_curl_stop: fetch 07D5AC90, url 'http://www.netsurf-browser.org/webimages/downloadlogo.png'
    (6.808130) content/content.c:82 content__init: url http://www.netsurf-browser.org/webimages/downloadtr.png -> 07D59330
    (6.808130) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/webimages/downloadtr.png (07D59330), user 004ACC70 07E1DD80
    (6.808130) content/content.c:82 content__init: url http://www.netsurf-browser.org/webimages/downloadtl.png -> 07E4CF78
    (6.808130) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/webimages/downloadtl.png (07E4CF78), user 004ACC70 07E1DC30
    (6.808130) content/content.c:82 content__init: url http://www.netsurf-browser.org/webimages/downloadlogo.png -> 07EAC280
    (6.808130) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/webimages/downloadlogo.png (07EAC280), user 004ACC70 07E1D840
    (6.808130) content/content.c:82 content__init: url http://www.netsurf-browser.org/webimages/downloadbg.png -> 07EAC820
    (6.808130) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/webimages/downloadbg.png (07EAC820), user 004ACC70 07E1D918
    (6.808130) content/content.c:664 content_add_user: content http://www.netsurf-browser.org/webimages/roalogo.png (07D82C50), user 004ACC70 07E1E428
    (6.808130) render/html_object.c:161 html_object_callback: 7 fetches active
    (6.823755) windows/bitmap.c:54 win32_bitmap_create: width 31, height 30, state 0
    (6.823755) windows/bitmap.c:98 win32_bitmap_create: bitmap 07E09BB8
    (6.823755) image/png.c:175 info_callback: size 31 * 30, rowbytes zu
    (6.823755) content/content.c:282 content_convert: content http://www.netsurf-browser.org/webimages/downloadtr.png (07D59330)
    (6.823755) windows/bitmap.c:226 bitmap_test_opaque: bitmap 07E09BB8 has transparency
    (6.823755) windows/bitmap.c:201 bitmap_set_opaque: setting bitmap 07E09BB8 to transparent
    (6.823755) image/image_cache.c:474 image_cache_add: centry 07D38D50, content 07D59330, bitmap 07E09BB8
    (6.823755) render/html_object.c:161 html_object_callback: 6 fetches active
    (6.823755) windows/bit
    ? file icon rlog (57,885 bytes) 2016-03-17 15:19 +
  • zip file icon nslog.zip (137,035 bytes) 2016-03-22 17:47

-Relationships
+Relationships

-Notes
Vincent Sanders

~0001357

Vincent Sanders (administrator)

since tlsa fix to windows/font.c nsfont_split() this now happens on all Os not just 10.
Vincent Sanders

~0001358

Vincent Sanders (administrator)

from debug throwback in visual studio

        EAX BB010C1F
        ECX BB010C1F
        EDX BEEA1DE7
        ESI 03E911C8


005615A0 push ebp
005615A1 push edi
005615A2 push esi
005615A3 push ebx
005615A4 sub esp,2Ch
005615A7 mov eax,dword ptr [esp+54h]
005615AB mov edi,dword ptr [esp+48h]
005615AF mov ebx,dword ptr [esp+50h]
005615B3 mov ebp,dword ptr [esp+40h]
005615B7 mov esi,dword ptr [esp+44h]
005615BB mov dword ptr [esp+1Ch],eax
005615BF mov dword ptr [esp+14h],eax
005615C3 mov eax,dword ptr [esp+4Ch]
005615C7 mov dword ptr [esp+10h],ebx
005615CB mov dword ptr [esp+8],edi
005615CF mov dword ptr [esp+4],esi
005615D3 mov dword ptr [esp+0Ch],eax
005615D7 mov dword ptr [esp],ebp
005615DA call 005614D0
005615DF mov ecx,dword ptr [ebx]
005615E1 cmp edi,ecx
005615E3 je 00561653
005615E5 lea edx,[esi+ecx]
005615E8 mov eax,ecx

-> 005615EA cmp byte ptr [edx],20h

005615ED je 00561604
005615EF test ecx,ecx
005615F1 jne 005615F9
005615F3 jmp 00561630
005615F5 test eax,eax
005615F7 je 00561630
005615F9 sub eax,1
005615FC mov dword ptr [ebx],eax
005615FE cmp byte ptr [esi+eax],20h
00561602 jne 005615F5
00561604 test eax,eax
00561606 je 00561630
00561608 mov ecx,dword ptr [ebx]
0056160A mov eax,dword ptr [esp+1Ch]
0056160E mov dword ptr [esp+44h],esi
00561612 mov dword ptr [esp+40h],ebp
00561616 mov dword ptr [esp+48h],ecx
0056161A mov dword ptr [esp+4Ch],eax
Vincent Sanders

~0001359

Vincent Sanders (administrator)

Last edited: 2016-03-21 21:33

View 3 revisions

from objdump of exe this seems to be

00561640 <_nsfont_split>:
 */

static bool nsfont_split(const plot_font_style_t *style,
        const char *string, size_t length,
        int x, size_t *char_offset, int *actual_x)
{
  561640: 55 push %ebp
  561641: 57 push %edi
  561642: 56 push %esi
  561643: 53 push %ebx
  561644: 83 ec 2c sub $0x2c,%esp
  561647: 8b 44 24 54 mov 0x54(%esp),%eax
  56164b: 8b 7c 24 48 mov 0x48(%esp),%edi
  56164f: 8b 5c 24 50 mov 0x50(%esp),%ebx
  561653: 8b 6c 24 40 mov 0x40(%esp),%ebp
  561657: 8b 74 24 44 mov 0x44(%esp),%esi
  56165b: 89 44 24 1c mov %eax,0x1c(%esp)
    int c_off;
    nsfont_position_in_string(style, string, length, x, char_offset,
  56165f: 89 44 24 14 mov %eax,0x14(%esp)
  561663: 8b 44 24 4c mov 0x4c(%esp),%eax
  561667: 89 5c 24 10 mov %ebx,0x10(%esp)
  56166b: 89 7c 24 08 mov %edi,0x8(%esp)
  56166f: 89 74 24 04 mov %esi,0x4(%esp)
  561673: 89 44 24 0c mov %eax,0xc(%esp)
  561677: 89 2c 24 mov %ebp,(%esp)
  56167a: e8 f1 fe ff ff call 561570 <_nsfont_position_in_string>
            actual_x);
    c_off = *char_offset;
  56167f: 8b 0b mov (%ebx),%ecx
    if (*char_offset == length) {
  561681: 39 cf cmp %ecx,%edi
  561683: 74 6e je 5616f3 <_nsfont_split+0xb3>
        return true;
    }
    while ((string[*char_offset] != ' ') && (*char_offset > 0))
  561685: 8d 14 0e lea (%esi,%ecx,1),%edx
  561688: 89 c8 mov %ecx,%eax

-> 56168a: 80 3a 20 cmpb $0x20,(%edx)

  56168d: 74 15 je 5616a4 <_nsfont_split+0x64>
  56168f: 85 c9 test %ecx,%ecx
  561691: 75 06 jne 561699 <_nsfont_split+0x59>
  561693: eb 3b jmp 5616d0 <_nsfont_split+0x90>
  561695: 85 c0 test %eax,%eax
  561697: 74 37 je 5616d0 <_nsfont_split+0x90>
        (*char_offset)--;
  561699: 83 e8 01 sub $0x1,%eax
  56169c: 89 03 mov %eax,(%ebx)
            actual_x);
    c_off = *char_offset;
    if (*char_offset == length) {
        return true;
    }
    while ((string[*char_offset] != ' ') && (*char_offset > 0))
  56169e: 80 3c 06 20 cmpb $0x20,(%esi,%eax,1)
  5616a2: 75 f1 jne 561695 <_nsfont_split+0x55>
        (*char_offset)--;
    if (*char_offset == 0) {
  5616a4: 85 c0 test %eax,%eax
  5616a6: 74 28 je 5616d0 <_nsfont_split+0x90>
  5616a8: 8b 0b mov (%ebx),%ecx
        while (*char_offset < length && string[*char_offset] != ' ') {
            (*char_offset)++;
        }
    }

    return nsfont_width(style, string, *char_offset, actual_x);
  5616aa: 8b 44 24 1c mov 0x1c(%esp),%eax
  5616ae: 89 74 24 44 mov %esi,0x44(%esp)
  5616b2: 89 6c 24 40 mov %ebp,0x40(%esp)
  5616b6: 89 4c 24 48 mov %ecx,0x48(%esp)
  5616ba: 89 44 24 4c mov %eax,0x4c(%esp)
}
  5616be: 83 c4 2c add $0x2c,%esp
  5616c1: 5b pop %ebx
  5616c2: 5e pop %esi
  5616c3: 5f pop %edi
  5616c4: 5d pop %ebp
        while (*char_offset < length && string[*char_offset] != ' ') {
            (*char_offset)++;
        }
    }

    return nsfont_width(style, string, *char_offset, actual_x);
  5616c5: e9 86 fd ff ff jmp 561450 <_nsfont_width>
  5616ca: 8d b6 00 00 00 00 lea 0x0(%esi),%esi
    }
    while ((string[*char_offset] != ' ') && (*char_offset > 0))
        (*char_offset)--;
    if (*char_offset == 0) {
        *char_offset = c_off;
        while (*char_offset < length && string[*char_offset] != ' ') {
  5616d0: 39 cf cmp %ecx,%edi
        return true;
    }
    while ((string[*char_offset] != ' ') && (*char_offset > 0))
        (*char_offset)--;
    if (*char_offset == 0) {
        *char_offset = c_off;
  5616d2: 89 0b mov %ecx,(%ebx)
        while (*char_offset < length && string[*char_offset] != ' ') {
  5616d4: 76 d4 jbe 5616aa <_nsfont_split+0x6a>
  5616d6: 80 3a 20 cmpb $0x20,(%edx)
  5616d9: 74 cf je 5616aa <_nsfont_split+0x6a>
  5616db: 83 c1 01 add $0x1,%ecx
  5616de: eb 0b jmp 5616eb <_nsfont_split+0xab>
  5616e0: 80 3c 0e 20 cmpb $0x20,(%esi,%ecx,1)
  5616e4: 8d 41 01 lea 0x1(%ecx),%eax
  5616e7: 74 c1 je 5616aa <_nsfont_split+0x6a>
  5616e9: 89 c1 mov %eax,%ecx
  5616eb: 39 f9 cmp %edi,%ecx
            (*char_offset)++;
  5616ed: 89 0b mov %ecx,(%ebx)
    }
    while ((string[*char_offset] != ' ') && (*char_offset > 0))
        (*char_offset)--;
    if (*char_offset == 0) {
        *char_offset = c_off;
        while (*char_offset < length && string[*char_offset] != ' ') {
  5616ef: 75 ef jne 5616e0 <_nsfont_split+0xa0>
  5616f1: eb b7 jmp 5616aa <_nsfont_split+0x6a>
            (*char_offset)++;
        }
    }

    return nsfont_width(style, string, *char_offset, actual_x);
}
  5616f3: 83 c4 2c add $0x2c,%esp
  5616f6: b8 01 00 00 00 mov $0x1,%eax
  5616fb: 5b pop %ebx
  5616fc: 5e pop %esi
  5616fd: 5f pop %edi
  5616fe: 5d pop %ebp
  5616ff: c3 ret

Vincent Sanders

~0001360

Vincent Sanders (administrator)

original source:

static bool nsfont_split(const plot_font_style_t *style,
        const char *string, size_t length,
        int x, size_t *char_offset, int *actual_x)
{
    int c_off;
    nsfont_position_in_string(style, string, length, x, char_offset,
            actual_x);
    c_off = *char_offset;
    if (*char_offset == length) {
        return true;
    }
    while ((string[*char_offset] != ' ') && (*char_offset > 0))
        (*char_offset)--;
    if (*char_offset == 0) {
        *char_offset = c_off;
        while (*char_offset < length && string[*char_offset] != ' ') {
            (*char_offset)++;
        }
    }

    return nsfont_width(style, string, *char_offset, actual_x);
}
Vincent Sanders

~0001361

Vincent Sanders (administrator)

added log with windows nsfont_split() instrumented showing negative x positions from layout which were previously causing issues.
Vincent Sanders

~0001362

Vincent Sanders (administrator)

the font splitting, width etc. routines have been re-written to cope with -ve positions etc.

Tested on windows 10 and it no longer crashes therefore this bug is fixed.
Vincent Sanders

~0001365

Vincent Sanders (administrator)

confirmed resolved in 3.5
+Notes

-Issue History
Date Modified Username Field Change
2016-03-17 15:19 Vincent Sanders New Issue
2016-03-17 15:19 Vincent Sanders Status new => assigned
2016-03-17 15:19 Vincent Sanders Assigned To => Vincent Sanders
2016-03-17 15:19 Vincent Sanders File Added: rlog
2016-03-21 21:12 Vincent Sanders Note Added: 0001357
2016-03-21 21:12 Vincent Sanders Status assigned => confirmed
2016-03-21 21:16 Vincent Sanders Note Added: 0001358
2016-03-21 21:17 Vincent Sanders Note Added: 0001359
2016-03-21 21:19 Vincent Sanders Note Edited: 0001359 View Revisions
2016-03-21 21:33 Vincent Sanders Note Edited: 0001359 View Revisions
2016-03-21 21:43 Vincent Sanders Note Added: 0001360
2016-03-22 17:47 Vincent Sanders File Added: nslog.zip
2016-03-22 17:49 Vincent Sanders Note Added: 0001361
2016-03-22 21:49 Vincent Sanders Fixed in CI build # => 3452
2016-03-22 21:49 Vincent Sanders Note Added: 0001362
2016-03-22 21:49 Vincent Sanders Status confirmed => resolved
2016-03-22 21:49 Vincent Sanders Resolution open => fixed
2016-03-22 21:49 Vincent Sanders Fixed in Version => 3.5
2016-04-12 11:45 Vincent Sanders Note Added: 0001365
2016-04-12 11:45 Vincent Sanders Status resolved => closed
+Issue History